IFAPI_NV_Cmds Struct Reference

`#include <fapi_int.h>`

## Data Fields

char * | nvPath
char * | policyPath
TPM2B_NV_PUBLIC | public
ESYS_TR | esys_auth_handle
ESYS_TR | esys_handle
TPM2_HANDLE | tpm_handle
size_t | numBytes
UINT16 | bytesRequested
UINT16 | offset
size_t | data_idx
const uint8_t * | data
uint8_t * | rdata
size_t | size
IFAPI_OBJECT | auth_object
IFAPI_OBJECT | nv_object
TPM2B_AUTH | auth
IFAPI_NV | nv_obj
ESYS_TR | auth_index
ESYS_TR | auth_session
uint64_t | bitmap
IFAPI_NV_TEMPLATE | public_templ
enum _FAPI_STATE_NV_READ | nv_read_state
enum _FAPI_STATE_NV_WRITE | nv_write_state
uint8_t * | write_data
char * | logData
json_object * | jso_event_log
TPMI_RH_NV_INDEX | maxNvIndex
IFAPI_EVENT | pcr_event
TPML_DIGEST_VALUES | digests
bool | skip_policy_computation

## Detailed Description

The data structure holding internal state of Fapi NV commands.

## Field Documentation

## auth

TPM2B_AUTH auth

The Password

## auth_index

ESYS_TR auth_index

The ESAPI handle of the authorization object

## auth_object

IFAPI_OBJECT auth_object

Object used for authentication

## auth_session

ESYS_TR auth_session

The autorization session for a nv object

## bitmap

uint64_t bitmap

The bitmask for the SetBits command

## bytesRequested

UINT16 bytesRequested

Bytes currently requested from TPM

## data

const uint8_t* data

Buffer for data to be written

## data_idx

size_t data_idx

Offset in the read buffer

## digests

TPML_DIGEST_VALUES digests

Digest for the event data of an extend

## esys_auth_handle

ESYS_TR esys_auth_handle

The ESAPI handle for the NV auth object

## esys_handle

ESYS_TR esys_handle

The ESAPI handle for the NV object

## jso_event_log

json_object* jso_event_log

logData in JSON format

## logData

char* logData

The event log for NV objects of type pcr

## maxNvIndex

TPMI_RH_NV_INDEX maxNvIndex

Max index for search for free index

## numBytes

size_t numBytes

The number of bytes of a ESYS request

## nv_obj

IFAPI_NV nv_obj

The NV Object

## nv_object

IFAPI_OBJECT nv_object

Deserialized NV object

## nv_read_state

enum _FAPI_STATE_NV_READ nv_read_state

The current state of NV read

## nv_write_state

enum _FAPI_STATE_NV_WRITE nv_write_state

The current state of NV write

## nvPath

char* nvPath

The name of the file for object serialization

## offset

UINT16 offset

Offset in TPM memory TPM

## pcr_event

IFAPI_EVENT pcr_event

Event to be added to log

## policyPath

char* policyPath

The name of the policy file

## public

TPM2B_NV_PUBLIC public

The public info of the NV object.

## public_templ

IFAPI_NV_TEMPLATE public_templ

The template for nv creation, adjusted appropriate by the passed flags

## rdata

uint8_t* rdata

Buffer for data to be read

## size

size_t size

size of rdata

## skip_policy_computation

bool skip_policy_computation

switch whether policy needs to be computed

## tpm_handle

TPM2_HANDLE tpm_handle

The TPM nv index

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h